## org.apache.myfaces.custom.date
Class HtmlInputDate

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.apache.myfaces.custom.date.HtmlInputDate

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, UserRoleAware, javax.faces.component.ValueHolder

public class HtmlInputDate
extends javax.faces.component.UIInput
implements UserRoleAware

Version:
  $Revision: 290918 $ $Date: 2005-09-22 05:34:40 -0400 (Thu, 22 Sep 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: baranda $)

Nested Class Summary
`static class` `HtmlInputDate.UserData`

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Constructor Summary
`HtmlInputDate()`

Method Summary
`java.lang.String` `getEnabledOnUserRole()`
`java.lang.String` `getTimeZone()`
`java.lang.String` `getType()`
`HtmlInputDate.UserData` `getUserData(java.util.Locale currentLocale)`
`java.lang.String` `getVisibleOnUserRole()`
`boolean` `isDisabled()`
`boolean` `isPopupCalendar()`
`boolean` `isReadonly()`
`boolean` `isRendered()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setDisabled(boolean disabled)`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` `setPopupCalendar(boolean popupCalendar)`
`void` `setReadonly(boolean readonly)`
`void` `setTimeZone(java.lang.String timeZone)`
`void` `setType(java.lang.String string)`
`void` `setUserData(HtmlInputDate.UserData userData)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`

Methods inherited from class javax.faces.component.UIInput

`addValidator, addValueChangeListener, broadcast, compareValues, decode, getConvertedValue, getFamily, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlInputDate

    public HtmlInputDate()

Method Detail

### setUserData

    public void setUserData(HtmlInputDate.UserData userData)

### getUserData

    public HtmlInputDate.UserData getUserData(java.util.Locale currentLocale)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String string)

### isPopupCalendar

    public boolean isPopupCalendar()

### setPopupCalendar

    public void setPopupCalendar(boolean popupCalendar)

### getTimeZone

    public java.lang.String getTimeZone()

### setTimeZone

    public void setTimeZone(java.lang.String timeZone)

### isReadonly

    public boolean isReadonly()

### setReadonly

    public void setReadonly(boolean readonly)

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

  Specified by:
    `setEnabledOnUserRole` in interface `UserRoleAware`

### getEnabledOnUserRole

    public java.lang.String getEnabledOnUserRole()

  Specified by:
    `getEnabledOnUserRole` in interface `UserRoleAware`

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

  Specified by:
    `setVisibleOnUserRole` in interface `UserRoleAware`

### getVisibleOnUserRole

    public java.lang.String getVisibleOnUserRole()

  Specified by:
    `getVisibleOnUserRole` in interface `UserRoleAware`

### isRendered

    public boolean isRendered()

### isDisabled

    public boolean isDisabled()

### setDisabled

    public void setDisabled(boolean disabled)

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`